Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityPig

    java.lang.Object
      net.minecraft.src.Entity
          net.minecraft.src.EntityLiving
              net.minecraft.src.EntityCreature
                  net.minecraft.src.EntityAgeable
                      net.minecraft.src.EntityAnimal
                          net.minecraft.src.EntityPig

All Implemented Interfaces:
  IAnimals

    public class EntityPig

extends EntityAnimal

Field Summary

Fields inherited from class net.minecraft.src.EntityAnimal
`inLove`

Fields inherited from class net.minecraft.src.EntityLiving
`arrowHitTempCounter, arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, experienceValue, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, field_82181_as, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, landMovementFactor, legSwing, legYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, prevCameraPitch, prevHealth, prevLegYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt, tasks`

Fields inherited from class net.minecraft.src.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntityPig(World par1World)`

Method Summary
`boolean` | `canBeSteered()` returns true if all the conditions for steering the entity are met.
`EntityAIControlledByPlayer` | `getAIControlledByPlayer()` Return the AI task for player control.
`int` | `getMaxHealth()`
`boolean` | `getSaddled()` Returns true if the pig is saddled.
`boolean` | `interact(EntityPlayer par1EntityPlayer)` Called when a player interacts with a mob.
`boolean` | `isAIEnabled()` Returns true if the newer Entity AI code should be run
`boolean` | `isBreedingItem(ItemStack par1ItemStack)` Checks if the parameter is an item which this animal can be fed to breed it (wheat, carrots or seeds depending on the animal type)
`void` | `onStruckByLightning(EntityLightningBolt par1EntityLightningBolt)` Called when a lightning bolt hits the entity.
`void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
`void` | `setSaddled(boolean par1)` Set or remove the saddle of the pig.
`EntityAnimal` | `spawnBabyAnimal(EntityAnimal par1EntityAnimal)` This function is used when two same-species animals in 'love mode' breed to generate the new baby animal.
`void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

Methods inherited from class net.minecraft.src.EntityAnimal
`attackEntityFrom, canMateWith, getBlockPathWeight, getCanSpawnHere, getTalkInterval, isInLove, onLivingUpdate, resetInLove`

Methods inherited from class net.minecraft.src.EntityAgeable
`getGrowingAge, isChild, setGrowingAge`

Methods inherited from class net.minecraft.src.EntityCreature
`getEntityToAttack, getSpeedModifier, hasPath, setPathToEntity, setTarget`

Methods inherited from class net.minecraft.src.EntityLiving
`addPotionEffect, attackEntityAsMob, canBeCollidedWith, canBePushed, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, detachHome, eatGrassBonus, faceEntity, func_70079_am, func_82143_as, func_82159_b, func_82161_a, func_82165_m, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getAttackTarget, getCreatureAttribute, getCurrentArmor, getCurrentItemOrArmor, getEntitySenses, getEyeHeight, getHealth, getHeldItem, getHomePosition, getItemIcon, getJumpHelper, getLastActiveItems, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaximumHomeDistance, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getSwingProgress, getTexture, getTotalArmorValue, getVerticalFaceSpeed, handleHealthUpdate, hasHome, heal, initCreature, isBlocking, isEntityAlive, isEntityUndead, isExplosiveMob, isOnLadder, isPlayerSleeping, isPotionActive, isPotionApplicable, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, moveEntityWithHeading, onDeath, onEntityUpdate, onItemPickup, onUpdate, performHurtAnimation, playLivingSound, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setAttackTarget, setCurrentItemOrArmor, setEntityHealth, setHeadRotationYaw, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, spawnExplosionParticle, swingItem, updateRidden`

Methods inherited from class net.minecraft.src.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82142_c, func_82146_a, func_82148_at, func_82149_j, func_82150_aj, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, isBurning, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onKillEntity, readFromNBT, setAir, setAngles, setDead, setEating, setFire, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityPig

    public EntityPig(World par1World)

Method Detail

### isAIEnabled

    public boolean isAIEnabled()

  Returns true if the newer Entity AI code should be run

### getMaxHealth

    public int getMaxHealth()

  Specified by:
    `getMaxHealth` in class `EntityLiving`

### canBeSteered

    public boolean canBeSteered()

  returns true if all the conditions for steering the entity are met. For pigs, this is true if it is being ridden by a player and the player is holding a carrot-on-a-stick

  Overrides:
    `canBeSteered` in class `EntityLiving`

### writeEntityToNBT

    public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to write subclass entity data to NBT.

  Overrides:
    `writeEntityToNBT` in class `EntityAnimal`

### readEntityFromNBT

    public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to read subclass entity data from NBT.

  Overrides:
    `readEntityFromNBT` in class `EntityAnimal`

### interact

    public boolean interact(EntityPlayer par1EntityPlayer)

  Called when a player interacts with a mob. e.g. gets milk from a cow, gets into the saddle on a pig.

  Overrides:
    `interact` in class `EntityAnimal`

### getSaddled

    public boolean getSaddled()

  Returns true if the pig is saddled.

### setSaddled

    public void setSaddled(boolean par1)

  Set or remove the saddle of the pig.

### onStruckByLightning

    public void onStruckByLightning(EntityLightningBolt par1EntityLightningBolt)

  Called when a lightning bolt hits the entity.

  Overrides:
    `onStruckByLightning` in class `Entity`

### spawnBabyAnimal

    public EntityAnimal spawnBabyAnimal(EntityAnimal par1EntityAnimal)

  This function is used when two same-species animals in 'love mode' breed to generate the new baby animal.

  Specified by:
    `spawnBabyAnimal` in class `EntityAnimal`

### isBreedingItem

    public boolean isBreedingItem(ItemStack par1ItemStack)

  Checks if the parameter is an item which this animal can be fed to breed it (wheat, carrots or seeds depending on the animal type)

  Overrides:
    `isBreedingItem` in class `EntityAnimal`

### getAIControlledByPlayer

    public EntityAIControlledByPlayer getAIControlledByPlayer()

  Return the AI task for player control.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD